package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 批次收藏对象 b_customer_xkcx_course
 * 
 * @author mingxue
 * @date 2021-08-18
 */
@ApiModel("我的选科方案")
public class BCustomerXkcxCourse extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 用户 */
    @Excel(name = "用户")
    @ApiModelProperty("用户")
    private String customerCode;

    /** 班级 */
    @Excel(name = "班级")
    @ApiModelProperty("班级")
    private Long groupId;

    /** 是否设为默认(0:否,1:是) */
    @Excel(name = "是否设为默认(0:否,1:是)")
    @ApiModelProperty("是否设为默认(0:否,1:是)")
    private Integer df;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    @ApiModelProperty("状态(0:无效,1:有效)")
    private Integer status;

    @ApiModelProperty("班级")
    private BBusiWishXkcxCourseGroup group;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    public String getCustomerCode() {
        return customerCode;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setDf(Integer df) {
        this.df = df;
    }

    public Integer getDf() {
        return df;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public BBusiWishXkcxCourseGroup getGroup() {
        return group;
    }

    public void setGroup(BBusiWishXkcxCourseGroup group) {
        this.group = group;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("customerCode", getCustomerCode())
            .append("groupId", getGroupId()).append("df", getDf()).append("createTime", getCreateTime()).append("status", getStatus())
            .toString();
    }
}
